请选择 进入手机版 | 继续访问电脑版

01BIM社区

 找回密码
 立即注册

扫一扫,访问微社区

查看: 1568|回复: 9

建筑工程——电气专业

[复制链接]

125

主题

404

帖子

1566

积分

金牌会员

Rank: 6Rank: 6

积分
1566
发表于 2019-7-3 09:03:20 | 显示全部楼层 |阅读模式
建筑工程——电气专业


回复

使用道具 举报

87

主题

180

帖子

773

积分

高级会员

Rank: 4

积分
773
发表于 2019-7-3 14:46:11 | 显示全部楼层
本帖最后由 Lance_ll 于 2019-11-1 11:00 编辑

一、CableTrayReducing_01KJ
(一)模板名称:Tzbm_Architectural_Electric
(二)类名称:CableTrayReducing_01KJ
(三)父类名称:Tzbm_Common:rawBase_01KJ
(四)实例变量
1、m_BuildingStr,建筑栋号,String型,默认值为“A”;
2、m_FloorStr,楼层层号,String型,默认值为“1”;
3、m_GroupDescription,风管所属系统,String型,默认值为“05弱电系统”,包含01照明系统、02应急系统、03动力系统、04消防系统、05弱电系统、06综合系统等大系统;
4、m_Category,类别,String型,默认值为“桥架”;
5、m_BianHao,型号,String型,默认值为“”;
6、m_EngiMatStr,工程材质,String型,默认值为“镀锌钢板”;
7、m_Point1,起点,Geom:oint3d型,默认值为Geom:oint3d.new(1000.mm,2000.mm,0.mm);
8、m_Point2,终点,Geom:oint3d型,默认值为Geom:oint3d.new(1000.mm,1000.mm,0.mm);
9、m_Width1,起点宽度,Length型,默认值为800.mm;
10、m_Height1,起点高度,Length型,默认值为400.mm;
11、m_Width2,终点宽度,Length型,默认值为500.mm;
12、m_Height2,终点高度,Length型,默认值为200.mm;
13、m_Style1,起点对齐方式,String型,默认值为‘中’;
14、m_Style2,起点对齐方式,String型,默认值为‘中’;
15、m_VectorCK,管顶面法线向量,Geom::Vector3d型,默认值为@mVtZ;
16、mMath,数学函数类对象变量,父类继承,为Tzbm_Common::Math_01KJ.new();
17、mEntityClass,实体类型,字符型,为“CableTrayReducing_01KJ”;
18、mProfession,专业名称,String型,默认值"05电专业;
19、mSerialNum,管件序号,整数型,默认值为0;
20、mGroupName,管件名称,String型,默认值为“CableTrayReducing_”+mSerialNum.to_s;
21、mType,类型,String型,默认值为“异径”,包含异径、直型、水平弯型、竖向弯型、三通、四通等六种类型;
22、mMatName,管道纹理材质名称,String型,默认值为MatCircutPipe_Zm,包含MatCircutPipe_Zm、MatCircutPipe_Yj、MatCircutPipe_Dl、MatCircutPipe_Xf、MatCircutPipe_Rd、MatCircutPipe_Zh等六种名称;
(五)实例函数
1、initialize(m_Entities=Sketchup.active_model.entities)
2、countVariable()
3、pipeNum()
4、changeTrans()
5、recoverTrans()
6、setEntityID(m_EntityID)
7、setAttribute()
8、updateArguments()
9、getValues(dictionary)
10、getKeys(dictionary)
11、getDictKeyValue(dictionary,key)
12、getDictLength(dictionary)
13、createEntity(),调用程序;
14、createEntDef_JM(),初级定义程序;
15、countPoints_JM,计算初级程序的绘制坐标
16、drawEntCore(ents),绘制核心程序,用于初级和中级两个层级;
17、createEntDef_IM(),中级定义程序;
18、countPoints_IM,计算中级程序的绘制坐标;

学而不思则罔,思而不学则殆
回复 支持 反对

使用道具 举报

87

主题

180

帖子

773

积分

高级会员

Rank: 4

积分
773
发表于 2019-7-3 14:48:07 | 显示全部楼层
本帖最后由 Lance_ll 于 2019-11-1 11:02 编辑

二、CableTrayStraight_01KJ
(一)模板名称:Tzbm_Architectural_Electric
(二)类名称:CableTrayStraight_01KJ
(三)父类名称:Tzbm_Common:rawBase_01KJ
(四)实例变量
1、m_GroupDescription,风管所属系统,String型,默认值为“05弱电系统”,包含01照明系统、02应急系统、03动力系统、04消防系统、05弱电系统、06综合系统等大系统;
2、m_Category,类别,String型,默认值为“桥架”;
3、m_BuildingStr,建筑栋号,String型,默认值为“A”;
4、m_FloorStr,楼层层号,String型,默认值为“1”;
5、m_BianHao,型号,String型,默认值为“”;
6、m_EngiMatStr,工程材质,String型,默认值为“镀锌钢板”;
7、m_Point1,起点,Geom:oint3d型,默认值为Geom:oint3d.new(1000.mm,2000.mm,0.mm);
8、m_Point2,终点,Geom:oint3d型,默认值为Geom:oint3d.new(1000.mm,1000.mm,0.mm);
9、m_Width,起点宽度,Length型,默认值为500.mm;
10、m_Height,起点高度,Length型,默认值为200.mm;
11、m_VectorCK,管顶面法线向量,Geom::Vector3d型,默认值为@mVtZ;
12、mMath,数学函数类对象变量,父类继承,为Tzbm_Common::Math_01KJ.new();
13、mEntityClass,实体类型,字符型,为“CableTrayStraight_01KJ”;
14、mProfession,专业名称,String型,默认值“05电专业”;
15、mSerialNum,管件序号,整数型,默认值为0;
16、mGroupName,管件名称,String型,默认值为“CableTrayReducing_”+mSerialNum.to_s;
17、mType,类型,String型,默认值为“直型”,包含异径、直型、水平弯型、竖向弯型、三通、四通等六种类型;
(五)实例函数
1、initialize(m_Entities=Sketchup.active_model.entities)
2、countVariable()
3、pipeNum()
4、changeTrans()
5、recoverTrans()
6、setEntityID(m_EntityID)
7、setAttribute()
8、updateArguments()
9、getValues(dictionary)
10、getKeys(dictionary)
11、getDictKeyValue(dictionary,key)
12、getDictLength(dictionary)
13、createEntity(),调用程序;
14、createEntDef_JM(),初级定义程序;
15、drawEntCore(ents),初级绘制核心程序;
16、createEntDef_IM(),中级定义程序;


学而不思则罔,思而不学则殆
回复 支持 反对

使用道具 举报

87

主题

180

帖子

773

积分

高级会员

Rank: 4

积分
773
发表于 2019-7-3 14:49:17 | 显示全部楼层
本帖最后由 Lance_ll 于 2019-11-1 11:03 编辑

三、CableTrayHoriBending_01KJ
(一)模板名称:Tzbm_Architectural_Electric
(二)类名称:CableTrayHoriBending_01KJ
(三)父类名称:Tzbm_Common:rawBase_01KJ
(四)实例变量
1、m_BuildingStr,建筑栋号,String型,默认值为“A”;
2、m_FloorStr,楼层层号,String型,默认值为“1”;
3、m_GroupDescription,风管所属系统,String型,默认值为“05弱电系统”,包含01照明系统、02应急系统、03动力系统、04消防系统、05弱电系统、06综合系统等大系统;
4、m_Category,类别,String型,默认值为“桥架”;
5、m_BianHao,型号,String型,默认值为“”;
6、m_EngiMatStr,工程材质,String型,默认值为“镀锌钢板”;
7、m_Point1,起点,Geom:oint3d型,默认值为Geom:oint3d.new(0.mm,0.mm,0.mm);
8、m_Point2,中间点,Geom:oint3d型,默认值为Geom:oint3d.new(0.mm,500.mm,0.mm);
9、m_Point3,终点,Geom:oint3d型,默认值为Geom:oint3d.new(500.mm,500.mm,0.mm);
10、m_Width,起点宽度,Length型,默认值为500.mm;
11、m_Height,起点高度,Length型,默认值为200.mm;
12、m_StraightLength,端部长度,Length型,默认值100.mm;
13、mMath,数学函数类对象变量,父类继承,为Tzbm_Common::Math_01KJ.new();
14、mEntityClass,实体类型,字符型,为“CableTrayHoriBending_01KJ”;
15、mProfession,专业名称,String型,默认值“05电专业”;
16、mSerialNum,管件序号,整数型,默认值为0;
17、mGroupName,管件名称,String型,默认值为“CableTrayReducing_”+mSerialNum.to_s;
18、mType,类型,String型,默认值为“水平弯型”,包含异径、直型、水平弯型、竖向弯型、三通、四通等六种类型;
19、mMatName,管道纹理材质名称,String型,默认值为MatCircutPipe_Zm,包含MatCircutPipe_Zm、MatCircutPipe_Yj、MatCircutPipe_Dl、MatCircutPipe_Xf、MatCircutPipe_Rd、MatCircutPipe_Zh等六种名称;
(五)实例函数
1、initialize(m_Entities=Sketchup.active_model.entities)
2、countVariable()
3、pipeNum()
4、changeTrans()
5、recoverTrans()
6、setEntityID(m_EntityID)
7、setAttribute()
8、updateArguments()
9、getValues(dictionary)
10、getKeys(dictionary)
11、getDictKeyValue(dictionary,key)
12、getDictLength(dictionary)
13、createEntity(),调用程序;
14、createEntDef_JM(),初级定义程序;
15、drawEntCore(ents),初级绘制核心程序;
16、createEntDef_IM(),中级定义程序;


学而不思则罔,思而不学则殆
回复 支持 反对

使用道具 举报

87

主题

180

帖子

773

积分

高级会员

Rank: 4

积分
773
发表于 2019-7-3 14:50:46 | 显示全部楼层
本帖最后由 Lance_ll 于 2019-11-1 11:04 编辑

四、CableTrayVertBending_01KJ
(一)模板名称:Tzbm_Architectural_Electric
(二)类名称:CableTrayVertBending_01KJ
(三)父类名称:Tzbm_Common:rawBase_01KJ
(四)实例变量
1、m_BuildingStr,建筑栋号,String型,默认值为“A”;
2、m_FloorStr,楼层层号,String型,默认值为“1”;
3、m_GroupDescription,风管所属系统,String型,默认值为“05弱电系统”,包含01照明系统、02应急系统、03动力系统、04消防系统、05弱电系统、06综合系统等大系统;
4、m_Category,类别,String型,默认值为“桥架”;
5、m_BianHao,型号,String型,默认值为“”;
6、m_EngiMatStr,工程材质,String型,默认值为“镀锌钢板”;
7、m_Point1,起点,Geom:oint3d型,默认值为Geom:oint3d.new(0.mm,0.mm,0.mm);
8、m_Point2,中间点,Geom:oint3d型,默认值为Geom:oint3d.new(0.mm,0.mm,450.mm);
9、m_Point3,终点,Geom:oint3d型,默认值为Geom:oint3d.new(0.mm,450.mm,450.mm);
10、m_Width,起点宽度,Length型,默认值为500.mm;
11、m_Height,起点高度,Length型,默认值为200.mm;
12、m_StraightLength,端部长度,Length型,默认值100.mm;
13、mMath,数学函数类对象变量,父类继承,为Tzbm_Common::Math_01KJ.new();
14、mEntityClass,实体类型,字符型,为“CableTrayVertBending_01KJ”;
15、mProfession,专业名称,String型,默认值“05电专业”;
16、mSerialNum,管件序号,整数型,默认值为0;
17、mGroupName,管件名称,String型,默认值为“CableTrayReducing_”+mSerialNum.to_s;
18、mType,类型,String型,默认值为“竖向弯型”,包含异径、直型、水平弯型、竖向弯型、三通、四通等六种类型;
19、mMatName,管道纹理材质名称,String型,默认值为MatCircutPipe_Zm,包含MatCircutPipe_Zm、MatCircutPipe_Yj、MatCircutPipe_Dl、MatCircutPipe_Xf、MatCircutPipe_Rd、MatCircutPipe_Zh等六种名称;
(五)实例函数
1、initialize(m_Entities=Sketchup.active_model.entities)
2、countVariable()
3、pipeNum()
4、changeTrans()
5、recoverTrans()
6、setEntityID(m_EntityID)
7、setAttribute()
8、updateArguments()
9、getValues(dictionary)
10、getKeys(dictionary)
11、getDictKeyValue(dictionary,key)
12、getDictLength(dictionary)
13、createEntity(),调用程序;
14、createEntDef_JM(),初级定义程序;
15、drawEntCore(ents),初级绘制核心程序;
16、createEntDef_IM(),中级定义程序;

学而不思则罔,思而不学则殆
回复 支持 反对

使用道具 举报

87

主题

180

帖子

773

积分

高级会员

Rank: 4

积分
773
发表于 2019-7-3 14:51:39 | 显示全部楼层
本帖最后由 Lance_ll 于 2019-11-1 11:05 编辑

五、CableTrayThreeWay_01KJ
(一)模板名称:Tzbm_Architectural_Electric
(二)类名称:CableTrayThreeWay_01KJ
(三)父类名称:Tzbm_Common:rawBase_01KJ
(四)实例变量
1、m_BuildingStr,建筑栋号,String型,默认值为“A”;
2、m_FloorStr,楼层层号,String型,默认值为“1”;
3、m_GroupDescription,风管所属系统,String型,默认值为“05弱电系统”,包含01照明系统、02应急系统、03动力系统、04消防系统、05弱电系统、06综合系统等大系统;
4、m_Category,类别,String型,默认值为“桥架”;
5、m_BianHao,型号,String型,默认值为“”;
6、m_EngiMatStr,工程材质,String型,默认值为“镀锌钢板”;
7、m_InterSectPt,交叉点,Geom:oint3d型,默认值为Geom:oint3d.new(0.mm,0.mm,0.mm);
8、m_Point1,第一点,Geom:oint3d型,默认值为Geom:oint3d.new(450.mm,0.mm,0.mm);
9、m_Point2,第二点,Geom:oint3d型,默认值为Geom:oint3d.new(0.mm,450.mm,0.mm);
10、m_Point3,第三点,Geom:oint3d型,默认值为Geom:oint3d.new(-450.mm,0.mm,0.mm);
11、m_Width1,第一点端部宽度,Length型,默认值为500.mm;
12、m_Height1,第一点端部高度,Length型,默认值为200.mm;
13、m_Width2,第二点端部宽度,Length型,默认值为500.mm;
14、m_Height2,第二点端部高度,Length型,默认值为200.mm;
15、m_Width3,第三点端部宽度,Length型,默认值为500.mm;
16、m_Height3,第三点端部高度,Length型,默认值为200.mm;
17、m_StraightLength,端部长度,Length型,默认值100.mm;
18、mMath,数学函数类对象变量,父类继承,为Tzbm_Common::Math_01KJ.new();
19、mEntityClass,实体类型,字符型,为“CableTrayThreeWay_01KJ”;
20、mProfession,专业名称,String型,默认值“05电专业”;
21、mSerialNum,管件序号,整数型,默认值为0;
22、mGroupName,管件名称,String型,默认值为“CableTrayReducing_”+mSerialNum.to_s;
23、mType,类型,String型,默认值为“三通”,包含异径、直型、水平弯型、竖向弯型、三通、四通等六种类型;
24、mMatName,管道纹理材质名称,String型,默认值为MatCircutPipe_Zm,包含MatCircutPipe_Zm、MatCircutPipe_Yj、MatCircutPipe_Dl、MatCircutPipe_Xf、MatCircutPipe_Rd、MatCircutPipe_Zh等六种名称;
(五)实例函数
1、initialize(m_Entities=Sketchup.active_model.entities)
2、countVariable()
3、pipeNum()
4、changeTrans()
5、recoverTrans()
6、setEntityID(m_EntityID)
7、setAttribute()
8、updateArguments()
9、getValues(dictionary)
10、getKeys(dictionary)
11、getDictKeyValue(dictionary,key)
12、getDictLength(dictionary)
13、createEntity(),调用程序;
14、createEntDef_JM(),初级定义程序;
15、drawEntCore(ents),初级绘制核心程序;
16、createEntDef_IM(),中级定义程序;

学而不思则罔,思而不学则殆
回复 支持 反对

使用道具 举报

87

主题

180

帖子

773

积分

高级会员

Rank: 4

积分
773
发表于 2019-7-3 15:20:19 | 显示全部楼层
本帖最后由 Lance_ll 于 2019-11-1 11:06 编辑

六、CableTrayFourWay_01KJ
(一)模板名称:Tzbm_Architectural_Electric
(二)类名称:CableTrayFourWay_01KJ
(三)父类名称:Tzbm_Common:rawBase_01KJ
(四)实例变量
1、m_BuildingStr,建筑栋号,String型,默认值为“A”;
2、m_FloorStr,楼层层号,String型,默认值为“1”;
3、m_GroupDescription,风管所属系统,String型,默认值为“05弱电系统”,包含01照明系统、02应急系统、03动力系统、04消防系统、05弱电系统、06综合系统等大系统;
4、m_Category,类别,String型,默认值为“桥架”;
5、m_BianHao,型号,String型,默认值为“”;
6、m_EngiMatStr,工程材质,String型,默认值为“镀锌钢板”;
7、m_InterSectPt,交叉点,Geom:oint3d型,默认值为Geom:oint3d.new(0.mm,0.mm,0.mm);
8、m_Point1,第一点,Geom:oint3d型,默认值为Geom:oint3d.new(450.mm,0.mm,0.mm);
9、m_Point2,第二点,Geom:oint3d型,默认值为Geom:oint3d.new(0.mm,450.mm,0.mm);
10、m_Point3,第三点,Geom:oint3d型,默认值为Geom:oint3d.new(-450.mm,0.mm,0.mm);
11、m_Point4,第四点,Geom:oint3d型,默认值为Geom:oint3d.new(0.mm,-450.mm,0.mm);
12、m_Width1,第一点端部宽度,Length型,默认值为500.mm;
13、m_Height1,第一点端部高度,Length型,默认值为200.mm;
14、m_Width2,第二点端部宽度,Length型,默认值为500.mm;
15、m_Height2,第二点端部高度,Length型,默认值为200.mm;
16、m_Width3,第三点端部宽度,Length型,默认值为500.mm;
17、m_Height3,第三点端部高度,Length型,默认值为200.mm;
18、m_Width3,第四点端部宽度,Length型,默认值为500.mm;
19、m_Height3,第四点端部高度,Length型,默认值为200.mm;
20、m_StraightLength,端部长度,Length型,默认值100.mm;
21、mMath,数学函数类对象变量,父类继承,为Tzbm_Common::Math_01KJ.new();
22、mEntityClass,实体类型,字符型,为“CableTrayFourWay_01KJ”;
23、mProfession,专业名称,String型,默认值“05电专业”;
24、mSerialNum,管件序号,整数型,默认值为0;
25、mGroupName,管件名称,String型,默认值为“CableTrayReducing_”+mSerialNum.to_s;
26、mType,类型,String型,默认值为“四通”,包含异径、直型、水平弯型、竖向弯型、三通、四通等六种类型;
27、mMatName,管道纹理材质名称,String型,默认值为MatCircutPipe_Zm,包含MatCircutPipe_Zm、MatCircutPipe_Yj、MatCircutPipe_Dl、MatCircutPipe_Xf、MatCircutPipe_Rd、MatCircutPipe_Zh等六种名称;
(五)实例函数
1、initialize(m_Entities=Sketchup.active_model.entities)
2、countVariable()
3、pipeNum()
4、changeTrans()
5、recoverTrans()
6、setEntityID(m_EntityID)
7、setAttribute()
8、updateArguments()
9、getValues(dictionary)
10、getKeys(dictionary)
11、getDictKeyValue(dictionary,key)
12、getDictLength(dictionary)
13、createEntity(),调用程序;
14、createEntDef_JM(),初级定义程序;
15、drawEntCore(ents),初级绘制核心程序;
16、createEntDef_IM(),中级定义程序;

学而不思则罔,思而不学则殆
回复 支持 反对

使用道具 举报

87

主题

180

帖子

773

积分

高级会员

Rank: 4

积分
773
发表于 2019-7-3 15:29:15 | 显示全部楼层
七、CircutPipe_01KJ
一、模板名称
Tzbm_Architectural_Electric
二、类名称
CircutPipe_01KJ
三、父类名称
Tzbm_Common:rawBase_01KJ
四、实例变量
1、mMath,数学函数类对象变量,父类继承,为Tzbm_Common::Math_01KJ.new();
2、mEntityClass,实体类型,字符型,父类继承,为“CircutPipe_01KJ”;
3、mProfession,专业名称,String型,默认值"05电专业;
4、m_BuildingStr,建筑栋号,字符型,默认值为“A”;
5、m_FloorStr,楼层层号,字符型,默认值为“1”;
6、mSerialNum,管件序号,整数型,默认值为0;
7、mGroupName,管件名称,字符型,默认值为“CircutPipe_”+mSerialNum.to_s;
8、m_GroupDescription,风管所属系统,默认值为“05弱电系统”,包含01照明系统、02应急系统、03动力系统、04消防系统、05弱电系统、06综合系统等大系统;
9、m_Category,类别,默认值为“电路管道”;
10、mType,类型,默认值为“直管”;
11、m_BianHao,型号,String型,默认值为“”;
12、m_EngiMatStr,工程材质,默认值为“PVC”;
13、m_Point1,起点,Geom:oint3d型,默认值为Geom:oint3d.new(0.mm,0.mm,0);
14、m_Point2,终点,Geom:oint3d型,默认值为Geom:oint3d.new(1000.mm,1000.mm,0);
15、m_Diameter,管径,Length型,默认值为10.mm;
16、m_Depth,管道壁厚,Length型,默认值为2.mm;
17、mNumCir,管道圆截面段数,Fixnum型,默认值为8;
18、mMatName,管道纹理材质名称,String型,默认值为MatCircutPipe_Zm,包含MatCircutPipe_Zm、MatCircutPipe_Yj、MatCircutPipe_Dl、MatCircutPipe_Xf、MatCircutPipe_Rd、MatCircutPipe_Zh等六种名称;
五、实例函数
1、initialize(m_Entities=Sketchup.active_model.entities)
2、countVariable()
3、pipeNum()
4、changeTrans()
5、recoverTrans()
6、setEntityID(m_EntityID)
7、setAttribute()
8、updateArguments()
9、getValues(dictionary)
10、getKeys(dictionary)
11、getDictKeyValue(dictionary,key)
12、getDictLength(dictionary)
13、createEntity(),调用程序;
14、createEntDef_JM(),初级绘制程序;
15、drawEntCore_JM(ents),初级绘制核心程序;
16、createEntDef_IM(),中级绘制程序;

学而不思则罔,思而不学则殆
回复 支持 反对

使用道具 举报

125

主题

404

帖子

1566

积分

金牌会员

Rank: 6Rank: 6

积分
1566
 楼主| 发表于 2019-10-18 08:16:03 | 显示全部楼层
一、CableTrayReducing_01KJ(异径管桥架)
二、CableTrayStraight_01KJ(直管桥架)
三、CableTrayHoriBending_01KJ(水平弯管桥架)
四、CableTrayVertBending_01KJ(竖向弯管桥架)
五、CableTrayThreeWay_01KJ (三通桥架)
六、CableTrayFourWay_01KJ(四通桥架)

回复 支持 反对

使用道具 举报

87

主题

180

帖子

773

积分

高级会员

Rank: 4

积分
773
发表于 2019-11-1 11:08:27 | 显示全部楼层
本帖最后由 Lance_ll 于 2019-11-1 11:09 编辑

_001CircuitPipeClass电路管道类设计说明书
一、模板名称
Tzbm_Architectural_Electric
二、类名称
CircutPipe_01KJ
三、父类名称
Tzbm_Common:rawBase_01KJ
四、实例变量
1、m_BuildingStr,建筑栋号,字符型,默认值为“A”;
2、m_FloorStr,楼层层号,字符型,默认值为“1”;
3、m_GroupDescription,风管所属系统,默认值为“05弱电系统”,包含01照明系统、02应急系统、03动力系统、04消防系统、05弱电系统、06综合系统等大系统;
4、m_Category,类别,默认值为“电路管道”;
5、m_BianHao,型号,String型,默认值为“”;
6、m_EngiMatStr,工程材质,默认值为“PVC”;
7、m_Point1,起点,Geom:oint3d型,默认值为Geom:oint3d.new(0.mm,0.mm,0);
8、m_Point2,终点,Geom:oint3d型,默认值为Geom:oint3d.new(1000.mm,1000.mm,0);
9、m_Diameter,管径,Length型,默认值为10.mm;
10、m_Depth,管道壁厚,Length型,默认值为2.mm;
11、mMath,数学函数类对象变量,父类继承,为Tzbm_Common::Math_01KJ.new();
12、mEntityClass,实体类型,字符型,父类继承,为“CircutPipe_01KJ”;
13、mProfession,专业名称,String型,默认值"05电专业;
14、mSerialNum,管件序号,整数型,默认值为0;
15、mGroupName,管件名称,字符型,默认值为“CircutPipe_”+mSerialNum.to_s;
16、mType,类型,默认值为“直管”;
17、mNumCir,管道圆截面段数,Fixnum型,默认值为8;
18、mMatName,管道纹理材质名称,String型,默认值为MatCircutPipe_Zm,包含MatCircutPipe_Zm、MatCircutPipe_Yj、MatCircutPipe_Dl、MatCircutPipe_Xf、MatCircutPipe_Rd、MatCircutPipe_Zh等六种名称;
五、实例函数
1、initialize(m_Entities=Sketchup.active_model.entities)
2、countVariable()
3、pipeNum()
4、changeTrans()
5、recoverTrans()
6、setEntityID(m_EntityID)
7、setAttribute()
8、updateArguments()
9、getValues(dictionary)
10、getKeys(dictionary)
11、getDictKeyValue(dictionary,key)
12、getDictLength(dictionary)
13、createEntity(),调用程序;
14、createEntDef_JM(),初级绘制程序;
15、drawEntCore_JM(ents),初级绘制核心程序;
16、createEntDef_IM(),中级绘制程序;

学而不思则罔,思而不学则殆
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|手机版|小黑屋|01BIM社区 - 最专业的BIM技术交流平台 ( 渝ICP备15000873号 )

GMT+8, 2020-7-11 06:59 , Processed in 0.079825 second(s), 21 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表